# eric5.Preferences.ConfigurationPages.TemplatesPage

Module implementing the Templates configuration page.

### Global Attributes

None

### Classes

TemplatesPage | Class implementing the Templates configuration page.

### Functions

create | Module function to create the configuration page.

## TemplatesPage

Class implementing the Templates configuration page.

### Derived from

ConfigurationPageBase, Ui_TemplatesPage

### Class Attributes

None

### Class Methods

None

### Methods

TemplatesPage | Constructor
on_editorFontButton_clicked | Private method used to select the font to be used by the code editor.
save | Public slot to save the Templates configuration.

### Static Methods

None

#### TemplatesPage (Constructor)

TemplatesPage()

Constructor

#### TemplatesPage.on_editorFontButton_clicked

on_editorFontButton_clicked()

Private method used to select the font to be used by the code editor.

#### TemplatesPage.save

save()

Public slot to save the Templates configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up